import request from '@/utils/request'

// 查询测试成绩批次列表
export function listTestScoreBatch(query) {
    return request({
        url: '/system/testScoreBatch/list',
        method: 'get',
        params: query
    })
}

// 查询测试成绩批次详细
export function getTestScoreBatch(id) {
    return request({
        url: '/system/testScoreBatch/' + id,
        method: 'get'
    })
}

// 新增测试成绩批次
export function addTestScoreBatch(data) {
    return request({
        url: '/system/testScoreBatch/add',
        method: 'post',
        data: data
    })
}

// 修改测试成绩批次
export function updateTestScoreBatch(data) {
    return request({
        url: '/system/testScoreBatch/edit',
        method: 'post',
        data: data
    })
}

// 删除测试成绩批次
export function delTestScoreBatch(id) {
    return request({
        url: '/system/testScoreBatch/' + id,
        method: 'delete'
    })
}
